| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
RowMoveTreeView Class Reference

A tree view that moves to the next column (same row) on Tab while editing, rather than the next row (same column) as QTreeView does by default. More...

`#include <rowmove_tree_view.h>`

Inheritance diagram for RowMoveTreeView:

## Public Member Functions
| RowMoveTreeView (QWidget *parent=nullptr)
| Constructs the row-move tree view.
Public Member Functions inherited from TabnavTreeView
| TabnavTreeView (QWidget *parent=0)
| Constructs the tree view with column-wise Tab navigation.
QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers) override
| Returns the index the view should move to for a given cursor action.

## Protected Member Functions
void | dropEvent (QDropEvent *event) override
| Handles drop events for row reordering within the tree.

## Additional Inherited Members
Signals inherited from TabnavTreeView
void | currentItemChanged (const QModelIndex &current, const QModelIndex &previous)
| Emitted whenever the current item changes.
Protected Slots inherited from TabnavTreeView
void | currentChanged (const QModelIndex &current, const QModelIndex &previous) override
| Relays the QAbstractItemView::currentChanged notification as the currentItemChanged() signal so that external observers can connect without subclassing.

## Detailed Description

A tree view that moves to the next column (same row) on Tab while editing, rather than the next row (same column) as QTreeView does by default.

## Constructor & Destructor Documentation

## ◆ RowMoveTreeView()

RowMoveTreeView::RowMoveTreeView | ( | QWidget * | parent = nullptr | ) |

Constructs the row-move tree view.

Parameters

  parent | The parent widget.

## Member Function Documentation

## ◆ dropEvent()

void RowMoveTreeView::dropEvent | ( | QDropEvent * | event | ) |
| override protected

Handles drop events for row reordering within the tree.

Parameters

  event | The drop event to process.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/rowmove_tree_view.h
- /builds/wireshark/wireshark/ui/qt/widgets/rowmove_tree_view.cpp